gov.ornl.mercury3.services

## Class AbstractTransformedFiles

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractTransformedFiles

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TransformedFiles

      public abstract class AbstractTransformedFiles
      extends Object
      implements Serializable

  AbstractTransformedFiles entity provides the base persistence definition of the TransformedFiles entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTransformedFiles()` default constructor
    `AbstractTransformedFiles(Integer fileRefId, String fileName, String fileContent, String fileUrl, String cksum)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCksum()`
    `String` | `getFileContent()`
    `String` | `getFileName()`
    `Integer` | `getFileRefId()`
    `String` | `getFileUrl()`
    `void` | `setCksum(String cksum)`
    `void` | `setFileContent(String fileContent)`
    `void` | `setFileName(String fileName)`
    `void` | `setFileRefId(Integer fileRefId)`
    `void` | `setFileUrl(String fileUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTransformedFiles

          public AbstractTransformedFiles()

      default constructor

    - #### AbstractTransformedFiles

          public AbstractTransformedFiles(Integer fileRefId,
                                  String fileName,
                                  String fileContent,
                                  String fileUrl,
                                  String cksum)

      full constructor

  - ### Method Detail

    - #### getFileRefId

          public Integer getFileRefId()

    - #### setFileRefId

          public void setFileRefId(Integer fileRefId)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName(String fileName)

    - #### getFileContent

          public String getFileContent()

    - #### setFileContent

          public void setFileContent(String fileContent)

    - #### getFileUrl

          public String getFileUrl()

    - #### setFileUrl

          public void setFileUrl(String fileUrl)

    - #### getCksum

          public String getCksum()

    - #### setCksum

          public void setCksum(String cksum)

Copyright © 2016. All rights reserved.